Subject: [icnrg] FW: New Version Notification for draft-zhang-iot-icn-challenges-01.txt

From: Ravi Ravindran <[email-masked]>
Date: Wed, 24 Dec 2014 20:28:29 +0000

Dear All,

Sharing the published version of the ICN-IoT (Version-01) draft with slightly updated content from what was shared during ICN-RG/IETF-91 meeting.

Regards,
Ravi

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, December 24, 2014 12:21 PM
To: Dipankar Raychadhuri; Jeff Burke; Emmanuel Baccelli; Yanyong Zhang; Luigi Alfredo Grieco; Ravi Ravindran; GQ Wang
Subject: New Version Notification for draft-zhang-iot-icn-challenges-01.txt

A new version of I-D, draft-zhang-iot-icn-challenges-01.txt
has been successfully submitted by Ravishankar Ravindran and posted to the IETF repository.

Name:		draft-zhang-iot-icn-challenges
Revision:	01
Title:		ICN based Architecture for IoT - Requirements and Challenges
Document date:	2014-12-24
Group:		Individual Submission
Pages:		31
URL:            http://www.ietf.org/internet-drafts/draft-zhang-iot-icn-challenges-01.txt
Status:         https://datatracker.ietf.org/doc/draft-zhang-iot-icn-challenges/
Htmlized:       http://tools.ietf.org/html/draft-zhang-iot-icn-challenges-01
Diff:           http://www.ietf.org/rfcdiff?url2=draft-zhang-iot-icn-challenges-01

Abstract:
   The Internet of Things (IoT) promises to connect billions of objects
   to Internet.  After deploying many stand-alone IoT systems in
   different domains, the current trend is to develop a common, "thin
   waist" of protocols forming a unified, defragmented IoT platform.
   Such a platform will make objects accessible to applications across
   organizations and domains.  Towards this goal, quite a few proposals
   have been made to build a unified host centric IoT platform as an
   overlay on top of today's Internet.  Such overlay solutions, however,
   are inadequate to address the important challenges posed by a
   heterogeneous, global scale deployment of IoT, especially in terms of
   mobility, scalability, and communication reliability, due to the
   inherent inefficiencies of the current Internet.  To address this
   problem, we propose to build a common set of protocols and services,
   which form an IoT platform, based on the Information Centric Network
   (ICN) architecture, which we call ICN-IoT.  ICN-IoT leverages the
   salient features of ICN, and thus provides seamless mobility support,
   scalability, and efficient content and service delivery.

   This draft describes representative IoT requirements and ICN
   challenges to realize a unified ICN-IoT framework.  Towards this, we
   first identify a list of important requirements which a unified IoT
   architecture should have to support tens of billions of objects.
   Then we analyze the current state of art deployment model and discuss
   important and popular IoT scenarios including the "smart" home,
   campus, grid, transportation infrastructure, healthcare, Education,
   and Entertainment.  Though we see most of the IoT requirements can be
   met by ICN, we discuss specific challenges ICN has to address to
   satisfy them.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat